within Buildings.Fluid.DXSystems.Cooling.AirSource.Data;
package Generic "Package with generic performance curves"
  extends Modelica.Icons.MaterialPropertiesPackage;

  annotation (Documentation(info="<html>
<p>
This package contains performance curves for the heat transfer capacity and the EIR
of air source DX cooling coils.
For performance data of specific air source DX cooling coils, see the packages
<a href=\"modelica://Buildings.Fluid.DXSystems.Cooling.AirSource.Data.SingleSpeed\">
Buildings.Fluid.DXSystems.Cooling.AirSource.Data.SingleSpeed</a>
and
<a href=\"modelica://Buildings.Fluid.DXSystems.Cooling.AirSource.Data.DoubleSpeed\">
Buildings.Fluid.DXSystems.Cooling.AirSource.Data.DoubleSpeed</a>.
</p>
<p>
The data are described in
<a href=\"modelica://Buildings.Fluid.DXSystems.Cooling.AirSource.Data.Generic.DXCoil\">
Buildings.Fluid.DXSystems.Cooling.AirSource.Data.Generic.DXCoil</a>.
</p>
</html>",
revisions="<html>
<ul>
<li>
July 23, 2012 by Kaustubh Phalak:<br/>
First implementation.
</li>
</ul>
</html>"));
end Generic;
